function jsTitle(){

};
jsTitle.IsAddNewRelationInfo=false;/*单击通讯簿页签时是否是通话记录中—新建档案*/
jsTitle.NewRelationNumber="";/*新建档案的电话号码*/
jsTitle.IsPopWinOrNot=0;/*是否打开了跳转弹屏框*/
/*挂机后生成通话记录的BILLID*/
jsTitle.CurNewBILLID="";
/*号码类型*/
jsTitle.PhoneType="";
/*当前通话号码*/
jsTitle.CurrentNumber="";
/*提机执行别页面指定动作*/
jsTitle.HoldOnAction="";
/*挂机之前执行其它页面指定动作*/
jsTitle.BeforeHoldOffAction="";
/*挂机执行别页面指定动作*/
jsTitle.HoldOffAction="";
/*响铃执行别页面指定动作*/
jsTitle.PhoneRingAction="";
/*手工拨号执行别页面指定动作*/
jsTitle.PhoneKeyDialAction="";
/*去电其它页面执行动作*/
jsTitle.PhoneGoDialAction="";
/*是否摘机*/
jsTitle.IsHoldOn=false;
/*是否来电*/
jsTitle.isRing=false;
/*通话类型：0 未接，1来电，2去电*/
jsTitle.CalType=0;
/*延时执行录音标志*/
jsTitle.timeOutSpeechLable=null;
/*存储录音目录名*/
jsTitle.SpeechDirectName="";
/*延时执行查询号码标志*/
jsTitle.timeOutGetNumberInforLable=null;
/*延时执行记录组合*/
jsTitle.arrTimeOutLable=null;
/*周期执行记录组合*/
jsTitle.arrIntervalLable=null;
/*出局码记录*/
jsTitle.outLineCode="";
/*话机类型名称*/
jsTitle.TelephoneTypeName="";
/*是否收到话机计时状态*/
jsTitle.PhoneIsRunTime=false;
/*是否已经执行拨号注册动作*/
jsTitle.isExecutDialAction=false;

jsTitle.UserID = App.CurrentUser(App.Virsion.main).UserID;
jsTitle.UserName = App.CurrentUser(App.Virsion.main).UserName;
/*绘制话务栏内容*/
jsTitle.onLoadTitle=function()
{
    var arrTitle=[];
    arrTitle.push('<table id="tbTitle" cellpadding="0" cellspacing="0" width="100%">');
    arrTitle.push("<tr>");
    arrTitle.push('<td style="width:35%; background-color:White; background-image:url(images/Calllogo.jpg);background-repeat:no-repeat;" ></td>');
    arrTitle.push('<td style="width:65%;background-color:Black;color:#008000;">');
    arrTitle.push('<table  cellpadding="0" cellspacing="0">');
        arrTitle.push('<tr>');
            arrTitle.push('<td style="width:60px"><span id="spPhoneState"></span></td>');
            arrTitle.push('<td style="width:310px">');
            arrTitle.push('<div style="width:100%; height:40px; background-image:url(images/numberBroad.jpg); background-repeat:no-repeat; color:#008000;vertical-align:middle;padding-top:5px;padding-left:8px;">');
            arrTitle.push('<span  id="spNumber" style="float:left;color:#008000;filter:Dropshadow(offx=1,offy=0,color=#EAEAEA) Dropshadow(offx=0,offy=1,color=#FFFECF) Dropshadow(offx=-1,offy=0,color=#5CE907) Dropshadow(offx=0,offy=-1,color=#5CE907);font-size:28px;font-weight:bold; Letter-spacing:5px; text-align:left; font-family:宋体; ">');
            arrTitle.push('</span></div>');/*电话号码*/
            arrTitle.push('</td>');
            arrTitle.push('<td valign="middle" style="width:60px"><div id="divTime" style="color:#FFFFFF;"></div></td>');/*通话计时*/
            arrTitle.push('<td style="width:200px">');
            arrTitle.push('<div id="divPhoneType" style="display:none">电话类型：<span id="spPhoneType"></span></div>');/*电话类型 手机号码*/
            arrTitle.push('<div id="divKaType" style="display:none">卡 类 型：<span id="spKaType"></span></div>');/*电话卡类型 移动 动感地带*/
            arrTitle.push('<div id="divAddress" style="display:none">所属地区：<span id="spAddress"></span></div>');/*所属地区 广东 佛山*/
            arrTitle.push('</td>');
            arrTitle.push('<td valign="middle" style="width:60px"><div id="divtext" style="color:#FFFFFF;"></div></td>');/*通话计时*/
        arrTitle.push('</tr>');
    arrTitle.push('</table>');
    arrTitle.push('</td></tr>');
    arrTitle.push('</table>');
    arrTitle.push('<div style="display:none"><input id="hdieGetCallRemark" type="hidden" /><input id="hdieGetIsHoldOn" type="hidden" value="0" /><input id="hdPhoneTypeName" type="hidden" value="0" /><div>');
    document.getElementById('TitleContanier').innerHTML=arrTitle.join("");
    arrTitle.length=0;
    arrTitle=null;
    document.getElementById("hdPhoneTypeName").value=PhoneHelper.Telphone_PhoneTypeName();
    jsTitle.TelephoneTypeName=PhoneHelper.Telphone_PhoneTypeName();
    CollectGarbage();
};
jsTitle.GetCallRemarkContent=function(strCon){
     $("#hdieGetCallRemark").val(strCon);
};
/*当前拨打号码*/
jsTitle.CurrentDialNumber="";
/*当前拨打号码长度*/
jsTitle.CurrentDialNumberLength=0;
/*已经单个拨号长度*/
jsTitle.DialedNumberLength=0;
/*已经拨打号码*/
jsTitle.DialedNumber="";
/*周期发送拨号指令标志*/
jsTitle.RelayDialLable=null;
/*提机拨号标志*/
jsTitle.UpDialLable=null;
/*延时执行单个拨号标志*/
jsTitle.StartSingleDialLable=null;
/*号码信息对象*/
jsTitle.NumberInfoObject=null;
/*拨号*/
jsTitle.Dial=function(_number,isAutoDial)
{
    
    try
    {
        jsTitle.CurrentNumber=_number;
        /*获取号码信息*/
        jsTitle.NumberInfoObject=jsTitle.GetNumberInfor(_number);
        /*获取号码信息后，设置号码信息到界面上*/
        jsTitle.SetNumberInfor(_number);
        /*如果不是E8那么就自动执行拨号动作*/
        /*去电时其它页面执行的操作*/
        if(jsTitle.PhoneGoDialAction!="" && jsTitle.isExecutDialAction==false)
        {
            /*过滤号码前缀*/
            /*1、过滤当前号码中的特殊字符*/
            jsTitle.CurrentNumber=sysKit.replaceExpChar(jsTitle.CurrentNumber);
            /*2、过滤当前号码中的前缀*/
            if(jsTitle.NumberInfoObject[0].type=="手机" && jsTitle.CurrentNumber.substring(0,1)==0)
            {
                /*如果号码是手机，并且前面第一位是0，那么截取掉0*/
                jsTitle.CurrentNumber=jsTitle.CurrentNumber.substring(1,jsTitle.CurrentNumber.length);
            }
            if(PhoneHelper.Telphone_PhoneTypeName!="E8")
            {
                if(jsTitle.IsPopWinOrNot==0){
                    if(jsTitle.PhoneGoDialAction.indexOf("@number")!=-1)
                    {
                        execScript(jsTitle.PhoneGoDialAction.replace("@number",jsTitle.CurrentNumber));
                        jsTitle.isExecutDialAction=true;
                    }
                    else
                    {
                        execScript(jsTitle.PhoneGoDialAction);
                    }
                }
            }
        }
        if(isAutoDial==true)
        {
            jsTitle.CurrentDialNumber=_number;
            jsTitle.CurrentDialNumberLength=_number.length;
            /*自动拨号一般都是单个数字进行拨打
            这里是提机拨号，提机拨打的号码分为：出局码和电话号码，而调用
            提机拨号的方法时是需要每一个数字进行拨打，所以需要拆分掉出传入的号码进行拨号。
            同时拨打出局码后，还需要延时一秒钟让话机做出反应。
            */
            /*先单独拨打出局码*/
            /*测试环境默认出局码为：9*/
            /*如果拨打号码不是特殊号码，并且长于6那么就认为是拨打外线，这个时候自动加拨出局码*/
            if(jsTitle.NumberInfoObject[0].isOutLine==true)
            {
                var timeOutActionLen=0;
                if(jsTitle.NumberInfoObject[0].outExitCode!="")
                {
                    if(jsTitle.UpDialLable!=null)
                    {
                        clearTimeout(jsTitle.UpDialLable);
                        jsTitle.UpDialLable=null;
                    }
                    if(jsTitle.arrTimeOutLable==null)
                    {
                        jsTitle.arrTimeOutLable=new Array();
                    }
                    jsTitle.UpDialLable=setTimeout("PhoneHelper.UpDial('"+jsTitle.NumberInfoObject[0].outExitCode+"')",1000);
                    jsTitle.arrTimeOutLable.push(jsTitle.UpDialLable);
                    /*2秒后促发周期发送号码字符动作*/
                    timeOutActionLen=2000;
                }
                else
                {
                    /*无出局码的情况下1秒钟后直接拨打号码*/
                    timeOutActionLen=1000;
                }
                /*判断是否是手机，如果然后判断是否是外地号码，如果是那么就自动加拨0*/
                if(jsTitle.NumberInfoObject[0].type=="手机" 
                && jsTitle.NumberInfoObject[0].loadAreaCode+"%"!=jsTitle.NumberInfoObject[0].areaCode 
                && _number.toString().substring(0,1)!="0")
                {
                    jsTitle.CurrentDialNumber="0"+_number;
                    jsTitle.CurrentDialNumberLength=parseInt(_number.length)+1;
                }
                if(jsTitle.StartSingleDialLable!=null)
                {
                    clearTimeout(jsTitle.StartSingleDialLable);
                    jsTitle.StartSingleDialLable=null;
                }
                if(jsTitle.arrTimeOutLable==null)
                {
                    jsTitle.arrTimeOutLable=new Array();
                }
                jsTitle.StartSingleDialLable=setTimeout("jsTitle.StartSingleDial()",timeOutActionLen);
                jsTitle.arrTimeOutLable.push(jsTitle.StartSingleDialLable);
            }
            else
            {
                /*如果是内线，那么就查找内线加拨是否有设置，如果有那么就自动获取出加拨号出来，然后先自动拨打设置号码*/ 
                if(jsTitle.NumberInfoObject[0].inLineExitCode!="")
                {
                    if(jsTitle.UpDialLable!=null)
                    {
                        clearTimeout(jsTitle.UpDialLable);
                        jsTitle.UpDialLable=null;
                    }
                    if(jsTitle.arrTimeOutLable==null)
                    {
                        jsTitle.arrTimeOutLable=new Array();
                    }
                    jsTitle.UpDialLable=setTimeout("PhoneHelper.UpDial('"+jsTitle.NumberInfoObject[0].inLineExitCode+"')",1000);
                    jsTitle.arrTimeOutLable.push(jsTitle.UpDialLable);
                    /*有内线加拨，那么在2秒后拨号*/
                    timeOutActionLen=2000;
                }
                else
                {
                    /*不是外线1秒钟后直接拨打号码*/
                    timeOutActionLen=1000;
                }
                if(jsTitle.StartSingleDialLable!=null)
                {
                    clearTimeout(jsTitle.StartSingleDialLable);
                    jsTitle.StartSingleDialLable=null;
                }
                if(jsTitle.arrTimeOutLable==null)
                {
                    jsTitle.arrTimeOutLable=new Array();
                }
                jsTitle.StartSingleDialLable=setTimeout("jsTitle.StartSingleDial()",timeOutActionLen);
                jsTitle.arrTimeOutLable.push(jsTitle.StartSingleDialLable);
                timeOutActionLen=null;
            }
        }
        else
        {
            /*如果不是外线，那么就触发自动拨号机制*/
            if(jsTitle.NumberInfoObject[0].isOutLine==false)
            {
                /*先提机，然后拨号*/
                PhoneHelper.HoldUp();
                jsTitle.Dial(_number,true);
            }
            else
            {
                _number=sysKit.Trim(_number);
                _number=sysKit.replaceExpChar(_number);
                jsTitle.CurrentNumber=_number;
                /*判断是否是手机，如果然后判断是否是外地号码，如果是那么就自动加拨0*/
                if(jsTitle.NumberInfoObject[0].type=="手机" 
                && jsTitle.NumberInfoObject[0].loadAreaCode+"%"!=jsTitle.NumberInfoObject[0].areaCode 
                && _number.toString().substring(0,1)!="0")
                {
                    _number="0"+_number;
                }
                PhoneHelper.Dial(_number);
                $("#spNumber").text(_number);
            }
        }
        /*切换到通讯簿栏目*/
//            $("#div-other-Info").opentabitem({ id: "tab-addressBook"});
        PhoneHelper.IsDiallingNumber=1;
        /*去电*/
        jsTitle.CalType=2;
    }
    catch(e)
    {
        alert("jsTitle.Dial:"+e.message);
    }
    CollectGarbage();
};
/*开始单个拨号*/
jsTitle.StartSingleDial=function()
{
    try
    {
        if(jsTitle.IsHoldOn==true)
        {
            if(jsTitle.RelayDialLable!=null)
            {
                clearInterval(jsTitle.RelayDialLable);
                jsTitle.RelayDialLable=null;
            }
            if(jsTitle.arrIntervalLable==null)
            {
                jsTitle.arrIntervalLable=new Array();
            }
            jsTitle.RelayDialLable=setInterval("jsTitle.SingleDial()",200);
            jsTitle.arrIntervalLable.push(jsTitle.RelayDialLable);
        }
        else
        {
            jsTitle.CurrentDialNumber="";
            jsTitle.CurrentDialNumberLength=0;
            clearInterval(jsTitle.RelayDialLable);
            jsTitle.RelayDialLable=null;
            clearTimeout(jsTitle.StartSingleDialLable);
            jsTitle.StartSingleDialLable=null;
        }
    }
    catch(e)
    {
        alert("jsTitle.StartSingleDial:"+e.message);
    }
    CollectGarbage();
};
/*拆分指定号码进行单号拨打*/
jsTitle.SingleDial=function()
{
    try
    {
        if(jsTitle.IsHoldOn==true)
        {
            if(jsTitle.CurrentDialNumber=="")
            {
                clearInterval(jsTitle.RelayDialLable);
                jsTitle.RelayDialLable=null;
            }
            else
            {
                var _code=jsTitle.CurrentDialNumber.substring(0,1);
                PhoneHelper.UpDial(_code);
                jsTitle.CurrentDialNumber=jsTitle.CurrentDialNumber.substring(1,jsTitle.CurrentDialNumber.length);
                jsTitle.DialedNumber=jsTitle.DialedNumber+_code;
                jsTitle.DialedNumberLength=jsTitle.DialedNumberLength+1;
            }
            /*只有E8拨完号后才需要在这里启动录音，因为E6、E7都会在10秒后发送一个信号过来触发录音动作*/
	        if(PhoneHelper.Telphone_PhoneTypeName()=='E8' && jsTitle.PhoneIsRunTime!=true)
	        {
		        if(jsTitle.DialedNumberLength==jsTitle.CurrentDialNumberLength)
		        {
                    /*接收到该状态的时候应该要标志话机计时状态*/
                    jsTitle.PhoneIsRunTime=true;
                    /*去电时其它页面执行的操作*/
                    if(jsTitle.IsPopWinOrNot==0){
                        if(jsTitle.PhoneGoDialAction!="")
                        {
                            if(jsTitle.PhoneGoDialAction.indexOf("@number")!=-1)
                            {
                                execScript(jsTitle.PhoneGoDialAction.replace("@number",jsTitle.DialedNumber));
                            }
                            else
                            {
                                execScript(jsTitle.PhoneGoDialAction);
                            }             
                        }
                    }
                    /*收到话机计时状态1秒后马上开始录音*/
                    if(jsTitle.speechActionLable!=null)
                    {
                        clearTimeout(jsTitle.speechActionLable);
                        jsTitle.speechActionLable=null;
                    }
                    if(jsTitle.arrTimeOutLable==null)
                    {
                        jsTitle.arrTimeOutLable=new Array();
                    }
                    jsTitle.speechActionLable=setTimeout("jsTitle.SpeechRecord()",1000);
                    jsTitle.arrTimeOutLable.push(jsTitle.speechActionLable);
		        }
 	        }
        }
        else
        {
            jsTitle.DialedNumber="";
            jsTitle.CurrentDialNumber="";
            jsTitle.CurrentDialNumberLength=0;
            jsTitle.DialedNumberLength=0;
            clearInterval(jsTitle.RelayDialLable);
            jsTitle.RelayDialLable=null;
        }
    }
    catch(e)
    {
        alert("jsTitle.SingleDial:"+e.message);
    }
    CollectGarbage();
};
/*执行通话计时标志*/
jsTitle.speechActionLable=null;
/*通话计时动作标志*/
jsTitle.callActionLable=null;

/*和话机通讯函数*/
jsTitle.getPhoneState=function(Action,nParam1,nParam2,pDataBuf)
{
    try
    {
        PhoneHelper.PhoneState=Action;
        if(PhoneHelper.PhoneState==3)
        {
            /*挂机*/
            jsTitle.clearTimeAction();
            jsTitle.outLineCode="";
            jsTitle.CurrentDialNumber="";
            jsTitle.CurrentDialNumberLength=0;
            jsTitle.DialedNumberLength=0;
            jsTitle.DialedNumber="";
            jsTitle.isExecutDialAction=false;
            
            jsTitle.PhoneIsRunTime=false;/*清除话机计时状态*/
            jsTitle.IsHoldOn=false;/*是否摘机*/
            $("#hdieGetIsHoldOn").val("0");
            /*如果有别的页面委托了挂机前执行动作，那么就调用执行*/
            if(jsTitle.BeforeHoldOffAction!="")
            {
                execScript(jsTitle.BeforeHoldOffAction);
            }
            /*过滤号码中含有的特殊字符*/
            /*jsTitle.CurrentNumber=sysKit.replaceExpChar(jsTitle.CurrentNumber);*/
            if(jsTitle.CurrentNumber!="" && jsTitle.CurrentNumber.length>=2)
            {
                /*如果挂机并且是在录音的情况下结束录音*/
                var isRecord=false;
                if(PhoneHelper.IsRecording==1)
                {
                    isRecord=true;
                    /*和录音记录*/
                    PhoneHelper.SpeechEndRecord();
                    /*刷新话单列表*/
                }
                /*保存话单*/
                jsTitle.CreateCallBill(isRecord);
            }
            /*如果别的页面有委托挂机动作，那么就执行*/
            if(jsTitle.HoldOffAction!="")
            {
                execScript(jsTitle.HoldOffAction);
            }
            jsTitle.clearPhoneShowText();
            /*清空号码信息对象*/
            jsTitle.NumberInfoObject=null;
            jsTitle.PhoneType="";
        }
        else if(PhoneHelper.PhoneState==2)
        {
            /*提机*/         
             jsTitle.IsHoldOn=true; 
            $("#hdieGetIsHoldOn").val("1");  
            if(jsTitle.isRing==false)
            {
                $("#spPhoneState").text("提机拨号..");
                /*如果别的页面有委托提机动作，那么就执行*/
                if(jsTitle.HoldOnAction!="")
                {
                    execScript(jsTitle.HoldOnAction);
                }
            }
            else if(jsTitle.isRing==true)
            {
                $("#spPhoneState").text("接听电话..");
                /*接收到该状态的时候应该要标志话机计时状态*/
                jsTitle.PhoneIsRunTime=true;
                /*来电提机马上开始录音*/
                jsTitle.SpeechRecord();
            }        
        }
        else if(PhoneHelper.PhoneState==8)
        {
            /*手工拨号号码*/
            PhoneHelper.IsDiallingNumber=1;
            jsTitle.phoneDialNumber(pDataBuf);
            if(jsTitle.PhoneKeyDialAction!="")
            {
                if(jsTitle.PhoneKeyDialAction.indexOf("@number")!=-1)
                {
                    execScript(jsTitle.PhoneKeyDialAction.replace("@number",pDataBuf));
                }
                else
                {
                    execScript(jsTitle.PhoneKeyDialAction);
                }
            }
            /*去电*/
            jsTitle.CalType=2;
        }
        else if(PhoneHelper.PhoneState==1 && nParam2==0)
        {
            /*来电弹屏*/
            jsTitle.CalType=1;
            jsTitle.isRing=true;
            $("#spPhoneState").text("来电");
            jsTitle.phoneShow(pDataBuf);
            /*如果别的页面有委托提机动作，那么就执行*/

           if(jsTitle.IsPopWinOrNot==0){
                if(jsTitle.PhoneRingAction!="")
                {
                    if(jsTitle.PhoneRingAction.indexOf("@number")!=-1)
                    {
                        execScript(jsTitle.PhoneRingAction.replace("@number",pDataBuf));
                    }
                    else
                    {
                        execScript(jsTitle.PhoneRingAction);
                    }
                }

            /*来电号码不在黑名单中，显示来电信息弹出框*/
            /*var IsBlakNum=jsCommonLogic.selColumnData("count(*)","T_BlackList"," where CallNum='"+jsTitle.CurrentNumber+"'");
            if(IsBlakNum==0)
            {*/ 
                ShowWindow.ShowMessageDialog('Application/TeleSecretary/frmRingCallWin.htm?CallNum='+jsTitle.CurrentNumber+'&formIndex='+ShowWindow.getFormIdx(),'来电信息',250,150,App.clientScreenSize().Width-250,App.clientScreenSize().Height-180);
            /*} */     
            
                 }              
        }
        else if(PhoneHelper.PhoneState==9)
        {
            /*停止响铃*/
            /*响铃停止表示未接，这种情况肯定没有录音。保存话单*/
            jsTitle.CalType=0;
            jsTitle.CreateCallBill(false);
            jsTitle.clearPhoneShowText();
            jsTitle.clearTimeAction();
            
             /*如果别的页面有委托挂机动作，那么就执行-----------------------------------------------------------------------*/
            if(jsTitle.HoldOffAction!="")
            {
                execScript(jsTitle.HoldOffAction);
            }
        }
        else if(PhoneHelper.PhoneState==1 && nParam2==1)
        {
            /*去电拨号*/
            if(jsTitle.CurrentNumber==null || jsTitle.CurrentNumber=="")
            {
                if(jsTitle.NumberInfoObject==null)
                {
                    jsTitle.NumberInfoObject=jsTitle.GetNumberInfor(pDataBuf);
                }
                PhoneHelper.IsDiallingNumber=1;
                jsTitle.phoneDialNumber(pDataBuf);
                if(jsTitle.PhoneKeyDialAction!="")
                {
                    /*过滤号码前缀*/
                    /*1、过滤当前号码中的特殊字符*/
                    jsTitle.CurrentNumber=sysKit.replaceExpChar(jsTitle.CurrentNumber);
                    /*2、过滤当前号码中的前缀*/
                    if(jsTitle.NumberInfoObject[0].type=="手机" && jsTitle.CurrentNumber.substring(0,1)==0)
                    {
                        /*如果号码是手机，并且前面第一位是0，那么截取掉0*/
                        jsTitle.CurrentNumber=jsTitle.CurrentNumber.substring(1,jsTitle.CurrentNumber.length);
                    }
                    if(jsTitle.PhoneKeyDialAction.indexOf("@number")!=-1)
                    {
                        execScript(jsTitle.PhoneKeyDialAction.replace("@number",jsTitle.CurrentNumber));
                    }
                    else
                    {
                        execScript(jsTitle.PhoneKeyDialAction);
                    }
                }
                /*去电*/ 
                jsTitle.CalType=2;
            }
            /*去电时其它页面执行的操作*/
            if(jsTitle.PhoneGoDialAction!="" && jsTitle.isExecutDialAction==false)
            {
                if(jsTitle.NumberInfoObject==null)
                {
                    jsTitle.NumberInfoObject=jsTitle.GetNumberInfor(jsTitle.CurrentNumber);
                }
                /*过滤号码前缀*/
                /*1、过滤当前号码中的特殊字符*/
                jsTitle.CurrentNumber=sysKit.replaceExpChar(jsTitle.CurrentNumber);
                /*2、过滤当前号码中的前缀*/
                if(jsTitle.NumberInfoObject[0].type=="手机" && jsTitle.CurrentNumber.substring(0,1)==0)
                {
                    /*如果号码是手机，并且前面第一位是0，那么截取掉0*/
                    jsTitle.CurrentNumber=jsTitle.CurrentNumber.substring(1,jsTitle.CurrentNumber.length);
                }
                if(jsTitle.IsPopWinOrNot==0){
                    if(jsTitle.PhoneGoDialAction.indexOf("@number")!=-1)
                    {
                        execScript(jsTitle.PhoneGoDialAction.replace("@number",jsTitle.CurrentNumber));
                        jsTitle.isExecutDialAction=true;
                    }
                    else
                    {
                        execScript(jsTitle.PhoneGoDialAction);
                    }
                }
            }

            /*接收到该状态的时候应该要标志话机计时状态*/
            jsTitle.PhoneIsRunTime=true;
            /*收到话机计时状态1秒后马上开始录音*/
            if(jsTitle.speechActionLable!=null)
            {
                clearTimeout(jsTitle.speechActionLable);
                jsTitle.speechActionLable=null;
            }
            if(jsTitle.arrTimeOutLable==null)
            {
                jsTitle.arrTimeOutLable=new Array();
            }
            jsTitle.speechActionLable=setTimeout("jsTitle.SpeechRecord()",1000);
            jsTitle.arrTimeOutLable.push(jsTitle.speechActionLable);
        }
    }
    catch(e)
    {
        alert("jsTitle.getPhoneState:"+e.message);
    }
    CollectGarbage();
};
/*清除所有定时处理动作*/
jsTitle.clearTimeAction=function()
{
    try
    {
        /*清除录音动作*/
        clearTimeout(jsTitle.timeOutSpeechLable);
        jsTitle.timeOutSpeechLable=null;
        /*清除拨号动作*/
        clearInterval(jsTitle.RelayDialLable);
        jsTitle.RelayDialLable=null;
        /*清除获取号码信息动作*/
        clearTimeout(jsTitle.timeOutGetNumberInforLable);
        jsTitle.timeOutGetNumberInforLable=null;
        /*清除通话计时动作*/
        clearInterval(jsTitle.callActionLable);
        jsTitle.callActionLable=null;
        /*清除通话录音动作*/
        clearInterval(jsTitle.speechActionLable);
        jsTitle.speechActionLable=null;

        clearTimeout(jsTitle.StartSingleDialLable);
        jsTitle.StartSingleDialLable=null;
        clearTimeout(jsTitle.UpDialLable);
        jsTitle.UpDialLable=null;
        
        /*清空定时处理器*/
        if(jsTitle.arrIntervalLable!=null)
        {
            var iIntervalLen=jsTitle.arrIntervalLable.length;
            for(var i=iIntervalLen-1;i>=0;i--)
            {
                clearInterval(jsTitle.arrIntervalLable[i]);
                jsTitle.arrIntervalLable[i]=null;
            }
            jsTitle.arrIntervalLable.length=0;
            iIntervalLen=null;
        }
        if(jsTitle.arrTimeOutLable!=null)
        {
            var iTimeOutLen=jsTitle.arrTimeOutLable.length;
            for(var i=iTimeOutLen-1;i>=0;i--)
            {
                clearTimeout(jsTitle.arrTimeOutLable[i]);
                jsTitle.arrTimeOutLable[i]=null;
            }
            jsTitle.arrTimeOutLable.length=0;
            iTimeOutLen=null;
        }
    }
    catch(e)
    {
        alert("jsTitle.clearTimeAction:"+e.message);
    }
    CollectGarbage();
};
/*初始化话机相关提示内容*/
jsTitle.clearPhoneShowText=function()
{
    try
    {
        jsTitle.SumTime=0;
        jsTitle.secondValue=0;
        jsTitle.miniValue=0;
        jsTitle.CalType=0;
        document.getElementById("divTime").innerHTML="";
        
        $("#spPhoneState").text("");
        $("#spNumber").text("");
        
        document.getElementById("divPhoneType").style.display='none';
        document.getElementById("divAddress").style.display='none';
        $("#spPhoneType").text("");
        $("#spAddress").text("");
        jsTitle.CurrentNumber="";
        /*清空来电响铃标志*/
        jsTitle.isRing=false;
    }
    catch(e)
    {
        alert("jsTitle.initPhoneState:"+e.message);
    }
    CollectGarbage();
};

/*提机*/
jsTitle.HoldUp=function(){
    try
    {
        PhoneHelper.HoldUp();
    }
    catch(e)
    {
        alert("jsTitle.HoldUp:"+e.message);
    }
    CollectGarbage();
};
/*挂机*/
jsTitle.CutLine=function()
{
    try
    {
        PhoneHelper.CutLine();
    }
    catch(e)
    {
        alert("jsTitle.CutLine:"+e.message);
    }
    CollectGarbage();
};
/*来电弹屏*/
jsTitle.phoneShow=function(_number)
{
    try
    {
        jsTitle.CurrentNumber=_number;
        $("#spNumber").text(_number);
        jsTitle.SetNumberInfor(_number);
    }
    catch(e)
    {
        alert("jsTitle.phoneShow:"+e.message);
    }
    CollectGarbage();
};
/*手工拨号*/
jsTitle.phoneDialNumber=function(_number)
{
    try
    {
        if(jsTitle.outLineCode=="" || jsTitle.DialedNumberLength>0 ||
        (jsTitle.outLineCode!="" && jsTitle.DialedNumberLength==0 && _number!=jsTitle.outLineCode)
        )
        {
            var strOldNumber=$("#spNumber").text()+_number;
            $("#spNumber").text(strOldNumber);
            jsTitle.CurrentNumber=strOldNumber;
        }
        /*键盘拨号在2秒后获取号码信息*/
        if(jsTitle.timeOutGetNumberInforLable!=null)
        {
            clearTimeout(jsTitle.timeOutGetNumberInforLable);
            jsTitle.timeOutGetNumberInforLable=null;
        }
        if(jsTitle.arrTimeOutLable==null)
        {
            jsTitle.arrTimeOutLable=new Array();
        }
        jsTitle.timeOutGetNumberInforLable=setTimeout("jsTitle.getDialNumberInfor()",2000);
        jsTitle.arrTimeOutLable.push(jsTitle.timeOutGetNumberInforLable);
        strOldNumber=null;
    }
    catch(e)
    {
        alert("jsTitle.phoneDialNumber:"+e.message);
    }
    CollectGarbage();
};
/*手工拨号时获取号码信息*/
jsTitle.getDialNumberInfor=function()
{
    try
    {
        if(jsTitle.IsHoldOn==true)
        {
            if(jsTitle.CurrentNumber.length>=2)
            {
                jsTitle.SetNumberInfor(jsTitle.CurrentNumber);
            }
        }
        else
        {
            clearTimeout(jsTitle.timeOutGetNumberInforLable);
            jsTitle.timeOutGetNumberInforLable=null;
        }
    }
    catch(e)
    {
        alert("jsTitle.getDialNumberInfor:"+e.message);
    }
    CollectGarbage();
};
/*录音*/
jsTitle.SpeechRecord=function()
{
    try
    {
        /*通话中才触发录音*/
        if(jsTitle.IsHoldOn==true && jsTitle.CurrentNumber!="" && jsTitle.CurrentNumber!=null && jsTitle.PhoneIsRunTime==true)
        {
            /*指定录音存放目录*/
            var serverTime=DBReader.ServerTime();
            var yearData=serverTime.ServerFormat('yyyy');
            var mothData=serverTime.ServerFormat('MM');
            /*录音文件夹产生机制：
            年份转成16进制，如：2011转成16进制是：7DB，
            月份转成16进制，如：12转成16进制是：C，
            年份16进制+月份16进制，就是录音存放文件夹名字。
            */
            var speechDirect=parseInt(yearData).toString(16).toUpperCase()+parseInt(mothData).toString(16).toUpperCase();
            jsTitle.SpeechDirectName=speechDirect;
            var dirName="Records\\"+speechDirect+"\\";
            var path= App.ApplicationPath()+dirName;                 
            var FullPath=escape(path.split('\\').join('\\\\'));
            if(App.DirectIsExist(FullPath)==false)
            {
                App.Direct_Create(FullPath);
            }
            if(jsTitle.IsHoldOn==true)
            {
                PhoneHelper.CallStartRecord(escape(dirName));
            }
            serverTime=null;
            yearData=null;
            mothData=null;
            FullPath=null;
            dirName=null;
            path=null;
            speechDirect=null;
            /*开始计时*/
            jsTitle.startTime();
        }
        else
        {
            /*清除录音计时*/
            /*清除录音动作*/
            clearTimeout(jsTitle.timeOutSpeechLable);
            jsTitle.timeOutSpeechLable=null;
        }
    }
    catch(e)
    {
        alert("jsTitle.SpeechRecord:"+e.message);
    }
    TimeLable=null;
    CollectGarbage();
};
/*开始计时*/
jsTitle.startTime=function()
{
    try
    {
        if(jsTitle.IsHoldOn==true)
        {
            if(jsTitle.callActionLable!=null)
            {
                clearInterval(jsTitle.callActionLable);
                jsTitle.callActionLable=null;
            }
            if(jsTitle.arrIntervalLable==null)
            {
                jsTitle.arrIntervalLable=new Array();
            }
            jsTitle.callActionLable=setInterval("jsTitle.RunTime()",1000);
            jsTitle.arrIntervalLable.push(jsTitle.callActionLable);
        }
        else
        {
            /*清除录音计时*/
            clearTimeout(jsTitle.timeOutSpeechLable);
            jsTitle.timeOutSpeechLable=null;
        }
    }
    catch(e)
    {
        alert("jsTitle.startTime:"+e.message);
    }
    CollectGarbage();
};
/*总时间，以秒为基本单位计算*/
jsTitle.SumTime=0;
/*秒计算因子*/
jsTitle.secondValue=0;
/*分钟计算因子*/
jsTitle.miniValue=0;

/*计时动作*/
jsTitle.RunTime=function()
{
    try
    {
        if(jsTitle.IsHoldOn==true)
        {
            jsTitle.SumTime=jsTitle.SumTime+1;
            jsTitle.secondValue=jsTitle.secondValue+1;
            if(jsTitle.secondValue==60)
            {
                jsTitle.secondValue=0;
                jsTitle.miniValue=jsTitle.miniValue+1;
            }
            
            var strMini="00";
            if(jsTitle.miniValue<10)
            {
                strMini="0"+jsTitle.miniValue;
            }
            else
            {
                strMini=jsTitle.miniValue;
            }
            var strSecondValue="00";
            if(jsTitle.secondValue<10)
            {
                strSecondValue="0"+jsTitle.secondValue;
            }
            else
            {
                strSecondValue=jsTitle.secondValue;
            }
            document.getElementById("divTime").innerHTML=strMini+":"+strSecondValue;
            strMini=null;
            strSecondValue=null;
        }
        else
        {
            clearInterval(jsTitle.callActionLable);
            jsTitle.callActionLable=null;
        }
    }
    catch(e)
    {
    
    }
    CollectGarbage();
};
/*生成话单记录*/
jsTitle.CreateCallBill=function(isRecord)
{
    try
    {
        /*没有查出类型的号码是不做保存的*/
        if($("#spPhoneType").text()!="")
        {
            /*通话时长*/
            var TalLen=document.getElementById("divTime").innerHTML;
            if(TalLen=="")
            {
                TalLen="00:00";
                isRecord=false;
            }
            /*获取服务器时间*/
            var serverTimeValue=DBReader.ServerTime().ServerFormat("yyyy-MM-dd hh:mm:ss");
            /*创建话单实体*/
            var callBillEntity=jsEntity.CreateEntityByTableName_access("T_CALLBILL","","","","BILLID");
            /*创建联系记录实体*/
            var diaryEntity=jsEntity.CreateEntityByTableName_access("T_DIARY");
            diaryEntity.Fields.USERID=jsTitle.UserID;
            diaryEntity.Fields.CONTRACTTIME=serverTimeValue;
            
            callBillEntity.Fields.DEPTID=1;
            callBillEntity.Fields.USERNAME=jsTitle.UserName;
            /*过滤号码前缀*/
            /*1、过滤当前号码中的特殊字符*/
            jsTitle.CurrentNumber=sysKit.replaceExpChar(jsTitle.CurrentNumber);
            /*2、过滤当前号码中的前缀*/
            if(jsTitle.NumberInfoObject[0].type=="手机" && jsTitle.CurrentNumber.substring(0,1)==0)
            {
                /*如果号码是手机，并且前面第一位是0，那么截取掉0*/
                jsTitle.CurrentNumber=jsTitle.CurrentNumber.substring(1,jsTitle.CurrentNumber.length);
            }
            /*3、如果有出局码那么就过滤出局码*/
            if(jsTitle.NumberInfoObject!=null && jsTitle.NumberInfoObject.length>0 && jsTitle.NumberInfoObject[0]!=null && jsTitle.NumberInfoObject[0].inLineExitCode!=null && jsTitle.NumberInfoObject[0].inLineExitCode!="" && jsTitle.CurrentNumber.substring(0,1)==jsTitle.NumberInfoObject[0].inLineExitCode)
            {
                jsTitle.CurrentNumber=jsTitle.CurrentNumber.substring(1,jsTitle.CurrentNumber.length);
            }
            callBillEntity.Fields.TELNUM=jsTitle.CurrentNumber;
            if($("#spAddress").text()!="")
            {
                callBillEntity.Fields.AREATXT=$("#spAddress").text();
            }
            else
            {
                callBillEntity.Fields.AREATXT=$("#spPhoneType").text();
            }
            var strEmpName=jsTitle.GetCallBillNameByCallNum(jsTitle.CurrentNumber)
            callBillEntity.Fields.CUSTOMER=strEmpName;
            diaryEntity.Fields.EMPNAME=strEmpName;
             var comID= jsCommonLogic.selColumnData("TOP 1  COMPANY_ID","T_COMPANY"," WHERE TEL='"+jsTitle.CurrentNumber+"'");
             if(comID>0){
                callBillEntity.Fields.COMPANYID=comID;
            }
            else{
                callBillEntity.Fields.COMPANYID=0;
            }
            var empID= jsCommonLogic.selColumnData("TOP 1  EMPLOYEE_ID","T_EMPLOYEE"," WHERE MOBILE='"+jsTitle.CurrentNumber+"' or TEL1='"+jsTitle.CurrentNumber+"' or TEL2='"+jsTitle.CurrentNumber+"' or S2='"+jsTitle.CurrentNumber+"'");
            callBillEntity.Fields.EMPLOYEEID=empID>0?empID:0;
            diaryEntity.Fields.EMPID=empID>0?empID:0;
            
            callBillEntity.Fields.LINEID=1;
            callBillEntity.Fields.TELTYP=0;
            callBillEntity.Fields.CALLTYP=jsTitle.CalType;
            callBillEntity.Fields.CALLTIME=serverTimeValue;
            callBillEntity.Fields.TALKLENGTH=TalLen;
            var callRemark=unescape($("#hdieGetCallRemark").val());
            if(callRemark!="")
            {
                callRemark=sysKit.strToString(callRemark);
                callBillEntity.Fields.REMARK=callRemark;
            }
            else
            {
                callBillEntity.Fields.REMARK="";
            }
            $("#hdieGetCallRemark").val('');
            strRemark=null;
            
            /*如果有录音那么就创建录音记录*/
            var isCanRecordOrNot=jsTitle.IsCanRecordOrNot();
            if(isRecord==true)
            {
                if(isCanRecordOrNot)
                {
                    callBillEntity.Fields.MP3FILEID=1;
                    /*创建录音实体*/
                    var MP3Entity=jsEntity.CreateEntityByTableName_access("T_MP3RECORD","BILLID","T_CALLBILL","BILLID","MP3ID");
                    MP3Entity.Fields.DEPTID=1;
                    MP3Entity.Fields.USERNAME="system";
                    MP3Entity.Fields.COMPANYID=comID;
                    MP3Entity.Fields.CUSTOMER="system user";
                    MP3Entity.Fields.TELNUM=jsTitle.CurrentNumber;
                    MP3Entity.Fields.AREATXT=$("#spAddress").text();
                    MP3Entity.Fields.TELTYP=0;
                    MP3Entity.Fields.CALLTYP=0;
                    MP3Entity.Fields.CALLTIME=serverTimeValue;
                    MP3Entity.Fields.TIMELENGTH=TalLen;
                    MP3Entity.Fields.FILELINKED=1;
                    MP3Entity.Fields.FNAME=jsTitle.SpeechDirectName+"\\\\"+PhoneHelper.SpeechFileName;
                    MP3Entity.Fields.STARTSEC=0;
                    MP3Entity.Fields.SECLENGTH=jsTitle.SumTime;
                    MP3Entity.Fields.UNREADED=0;
                    MP3Entity.Fields.ISAUTOREC=0;
                    MP3Entity.Fields.TOPIC="测试通话录音记录";
                    /*建立话单和录音实体之间携带关系*/
                    callBillEntity.appendEntity(MP3Entity,App.SqlAction.Insert);
                }
                else
                {
                    var fileFullPath=escape(App.ApplicationPath()+"Records\\"+jsTitle.SpeechDirectName+"\\"+PhoneHelper.SpeechFileName);
                    if(App.FileIsExist(fileFullPath))
                    {
                        App.FileDelete(fileFullPath);
                    }
                }
            }
            /*保存话单*/
            callBillEntity.Insert(callBillEntity);
            /*保存联系日志*/
            if(diaryEntity.Fields.EMPID>0){
                diaryEntity.Insert(diaryEntity);
            }
            jsTitle.CurNewBILLID = callBillEntity.Fields.BILLID;
            /*释放实体内存*/
            if(isRecord==true)
            {
                if(isCanRecordOrNot)
                {
                  DBReader.DisposeEntity(MP3Entity);
                }
            }
            DBReader.DisposeEntity(callBillEntity);
            DBReader.DisposeEntity(diaryEntity);
            comID=null;
            empID=null;strEmpName=null;
            isCanRecordOrNot=null;
            isRecord=null;
            TalLen=null;
            serverTimeValue=null;
        }                 
    }
    catch(e)
    {
        alert("jsTitle.CreateCallBill:"+e.message);
    }
    CollectGarbage();
};
/*获取名称*/
jsTitle.GetCallBillNameByCallNum=function(strNum){
    var returnResult="";
    var strSql="select TOP 1 iif(IsNull( T_COMPANY.SIMPLE_NAME ), T_COMPANY.FULL_NAME, T_COMPANY.SIMPLE_NAME) as ComName,T_EMPLOYEE.NAME from T_COMPANY RIGHT JOIN T_EMPLOYEE ON T_COMPANY.COMPANY_ID=T_EMPLOYEE.COMPANY_ID WHERE T_COMPANY.TEL='"+strNum+"' or T_EMPLOYEE.MOBILE='"+strNum+"' OR T_EMPLOYEE.TEL1='"+strNum+"' OR T_EMPLOYEE.TEL2='"+strNum+"' OR T_EMPLOYEE.S2='"+strNum+"' ";
    strSql+=" union ";
    strSql+="select TOP 1 iif(IsNull( T_COMPANY.SIMPLE_NAME ), T_COMPANY.FULL_NAME, T_COMPANY.SIMPLE_NAME) as ComName,T_EMPLOYEE.NAME from T_COMPANY left JOIN T_EMPLOYEE ON T_COMPANY.COMPANY_ID=T_EMPLOYEE.COMPANY_ID WHERE T_COMPANY.TEL='"+strNum+"' or T_EMPLOYEE.MOBILE='"+strNum+"' OR T_EMPLOYEE.TEL1='"+strNum+"' OR T_EMPLOYEE.TEL2='"+strNum+"' OR T_EMPLOYEE.S2='"+strNum+"' ";
   var strResult = DBReader.selectSqlForJson(strSql);
   if (strResult != null) {
        var result = eval("[{" + strResult + "}]");
        if(result[0].result==1 && result[0].table!=undefined){
           if(result[0].table.length==1){
                returnResult=result[0].table[0].ComName+result[0].table[0].NAME;
           }else{
                for(var i=0;i<result[0].table.length;i++){
                    if(result[0].table[i].ComName!="" && result[0].table[i].NAME!=""){
                        returnResult=result[0].table[i].ComName+result[0].table[i].NAME;
                    }else{
                        returnResult=result[0].table[0].ComName+result[0].table[0].NAME;
                    }
                }
           }               
        }
       result=null;
    }   
    strSql=null;
    strResult=null;
    CollectGarbage();
     return returnResult==""?"无":returnResult;
};
/*注册摘机执行动作接口*/
jsTitle.regHoldOnAction=function(AciotnString)
{
    try 
    {
        jsTitle.HoldOnAction=AciotnString;
    }
    catch(e)
    {
        alert("jsTitle.regHoldOnAction:"+e.message);
    }
};
/*注册挂机之前执行其它页面的操作接口*/
jsTitle.regBeforeHoldOffAction=function(ActionString)
{
    try
    {
        jsTitle.BeforeHoldOffAction=ActionString;
    }
    catch(e)
    {
        alert("jsTitle.BeforeHoldOffAction:"+e.message);
    }
}
/*注册挂机执行动作接口*/
jsTitle.regHoldOffAction=function(AciotnString)
{
    try
    {
        jsTitle.HoldOffAction=AciotnString;
    }
    catch(e)
    {
        alert("jsTitle.regHoldOffAction:"+e.message);
    }
};
/*注册话机响铃接口执行动作接口*/
jsTitle.regPhoneRingAction=function(AciotnString)
{
    try
    {
        jsTitle.PhoneRingAction=AciotnString;
    }
    catch(e)
    {
        alert("jsTitle.regHoldOffAction:"+e.message);
    }
};
/*注册话机键盘拨号接口执行动作接口*/
jsTitle.regPhoneKeyDialAction=function(AciotnString)
{
    try
    {
        jsTitle.PhoneKeyDialAction=AciotnString;
    }
    catch(e)
    {
        alert("jsTitle.regHoldOffAction:"+e.message);
    }
};
/*注册去电其它页面执行动作接口*/
jsTitle.regPhoneGoDialAction=function(AciotnString)
{
    try
    {
        jsTitle.PhoneGoDialAction=AciotnString;
    }
    catch(e)
    {
        alert("jsTitle.regPhoneGoDialAction:"+e.message);
    }
}
/*设置号码信息*/
jsTitle.SetNumberInfor=function(_number)
{
    try
    {
        if(jsTitle.NumberInfoObject==null)
        {
            jsTitle.NumberInfoObject=jsTitle.GetNumberInfor(_number);
        }
        if(jsTitle.NumberInfoObject[0].type!="")
        {
            document.getElementById("divPhoneType").style.display='';
            jsTitle.PhoneType=jsTitle.NumberInfoObject[0].type;
            $("#spPhoneType").text(jsTitle.NumberInfoObject[0].type);
        }
        if(jsTitle.NumberInfoObject[0].area+jsTitle.NumberInfoObject[0].city!="")
        {
            document.getElementById("divAddress").style.display='';
            $("#spAddress").text(jsTitle.NumberInfoObject[0].area+" "+jsTitle.NumberInfoObject[0].city+" ");
        }
    }
    catch(e)
    {
        alert("jsTitle.SetNumberInfor:"+e.message);
    }
    CollectGarbage();
};
/*获取号码信息*/
jsTitle.GetNumberInfor=function(_number)
{
    /*在获取号码信息的时候过滤号码的特殊字符*/
    _number=sysKit.replaceExpChar(_number);
    var arr=[
        {
            area:"",/*号码所属区域*/
            city:"",/*号码所属城市*/
            bigArea:"",/*号码所属地区*/
            type:"",/*号码类型*/
            areaCode:"",/*号码所属区号*/
            loadAreaCode:"",/*本地区号*/
            outExitCode:"",/*外线出局码*/
            inLineExitCode:"",/*内线加拨号*/
            isOutLine:false/*是否外线*/
        }
    ];
    try
    {
        var arrSql=new Array();
        /*创建查询语句组合：为减少访问数据库次数，将相关查询一次性返回：
        第一部分是查询号码是否是固定紧急电话或热线之类，
        第二部分是查询号码是否是固话，如果是那么就返回号码相关信息，
        第三部分是查询号码是否是手机，如果是那么就返回手机相关信息
        第四部分是查询号码外线出局码，
        第五部分是查询号码内线加拨码，
        第六部分是查询号码本地区号，
        */
        arrSql.push("SELECT 1 as DType, AREA,CITY,NTYPE,BIGAREA,AREACODE from T_AREACODE ");
        arrSql.push("WHERE AREACODE='"+_number+"' ");
        arrSql.push(" union ");
        arrSql.push("select 2 as DType,AREA,CITY,NTYPE,BIGAREA,AREACODE from T_AREACODE ");
        arrSql.push("WHERE AREACODE='"+_number.substring(0,2)+"%' or AREACODE='"+_number.substring(0,3)+"%' or AREACODE='"+_number.substring(0,4)+"%'");
        arrSql.push(" union ");
        arrSql.push("select 3 as DType,AREA,CITY,NTYPE,BIGAREA,AREACODE from T_AREACODE ");
        arrSql.push("WHERE AREACODE=(");
        arrSql.push("select top 1 AREACODEM from T_AREACODEM ");
        arrSql.push("WHERE "+_number.length+" >=11 and (PREFIX='"+_number.substring(0,6)+"%' or PREFIX='"+_number.substring(0,7)+"%' or ("+_number.substring(0,1)+"=0 and PREFIX='"+_number.substring(1,8)+"%')or ("+_number.substring(0,1)+"=0 and PREFIX='"+_number.substring(1,7)+"%'))");
        arrSql.push(")");
        arrSql.push(" union ");
        arrSql.push("SELECT 4 as DType,ParValue as AREA,'' as CITY,'' as NTYPE,'' as BIGAREA,'' as AREACODE FROM T_TelParameterSet WHERE ParName='ExitCode' ");
        arrSql.push(" union ");
        arrSql.push("SELECT 5 as DType,ParValue as AREA,'' as CITY,'' as NTYPE,'' as BIGAREA,'' as AREACODE FROM T_TelParameterSet WHERE ParName='InLineExitCode' ");
        arrSql.push(" union ");
        arrSql.push("SELECT 6 as DType,ParValue as AREA,'' as CITY,'' as NTYPE,'' as BIGAREA,'' as AREACODE FROM T_TelParameterSet WHERE ParName='AreaNum' ");
        var strSql=arrSql.join('');
/*window.clipboardData.setData('text',strSql);*/
        var dataString=DBReader.selectSqlForJson(strSql);
        arrSql.length=0;
        arrSql=null;
        
        if(dataString!="null")
        {
            var dataObj=eval("[{"+dataString+"}]");
            if(dataObj[0].result==1 && dataObj[0].table!=null)
            {
                /*记录出局码，内线加拨，本地区号*/
                for(var i=0;i<dataObj[0].table.length;i++)
                {
                    if(dataObj[0].table[i].DType==4)
                    {
                        /*出局码*/
                        arr[0].outExitCode=dataObj[0].table[i].AREA;
                    }
                    else if(dataObj[0].table[i].DType==5)
                    {
                        /*内线加拨*/
                        arr[0].inLineExitCode=dataObj[0].table[i].AREA;
                    }
                    else if(dataObj[0].table[i].DType==6)
                    {
                        /*本地区号*/
                        arr[0].loadAreaCode=dataObj[0].table[i].AREA;
                    }
                }
                /*先判断是紧急或服务电话号码*/
                if(dataObj[0].table.length>0 && dataObj[0].table[0].DType==1)
                {
                    arr[0].type=dataObj[0].table[0].BIGAREA;
                    arr[0].area=dataObj[0].table[0].AREA;
                    arr[0].city=dataObj[0].table[0].CITY;
                    arr[0].isOutLine=true;
                    arr[0].areaCode=dataObj[0].table[0].AREACODE;
                }
                else if(_number.length==7 || _number.length==8)
                {
                    arr[0].type="市话";
                    arr[0].isOutLine=true;
                }
                else if(_number.length<=6)
                {
                    arr[0].type="分机";
                }
                else
                {
                    /*获取号码类型：手机 固话*/
                    arr[0].type=jsTitle.GetNumberType(_number);
                    if(arr[0].type=="手机")
                    {
                        arr[0].isOutLine=true;
                        for(var i=0;i<dataObj[0].table.length;i++)
                        {
                            if(dataObj[0].table[i].DType==3)
                            {
                                arr[0].area=dataObj[0].table[i].AREA;
                                arr[0].city=dataObj[0].table[i].CITY;
                                arr[0].bigArea=dataObj[0].table[i].BIGAREA;
                                arr[0].areaCode=dataObj[0].table[0].AREACODE;
                                break;
                            }
                        }
                    }
                    else if(arr[0].type=="固话")
                    {
                        arr[0].isOutLine=true;
                        for(var i=0;i<dataObj[0].table.length;i++)
                        {
                            if(dataObj[0].table[i].DType==2)
                            {
                                arr[0].area=dataObj[0].table[i].AREA;
                                arr[0].city=dataObj[0].table[i].CITY;
                                arr[0].bigArea=dataObj[0].table[i].BIGAREA;
                                arr[0].areaCode=dataObj[0].table[0].AREACODE;
                                break;
                            }
                        }
                    }
                }
            }
            else if(_number.length==7 || _number.length==8)
            {
                arr[0].type="市话";
                arr[0].isOutLine=true;
            }
            else if(_number.length<=6)
            {
                arr[0].type="分机";
            }
            else
            {
                arr[0].type="手机";
                arr[0].isOutLine=true;
            }
            dataObj.length=0;
            dataObj=null;
        }
        strSql=null;
        dataString=null;
    }
    catch(e)
    {
        alert("jsTitle.GetNumberInfor:"+e.message);
    }
    CollectGarbage();
    return arr;
};
/*判断号码是固话还是手机*/
jsTitle.GetNumberType=function(_number)
{
    var _type="手机";
    try
    {
        /*手机号码开头一般是：13、15、18，但是考虑到长途手机号码加拨0，所以应该还要加上：013、015、018*/
        var str1=_number.substring(0,2);
        var str2=_number.substring(0,3);
        if(str1=="13" || str1=="15" || str1=="18")
        {
            _type="手机";
        }
        else if(str2=="013" || str2=="015" || str2=="018")
        {
            _type="手机";
        }
        else
        {
            _type="固话";
        }
    }
    catch(e)
    {
        alert("jsTitle.GetNumberType:"+e.message);
    }
    CollectGarbage();
    return _type;
};

/*挂机前将右边通话备注的内容写到隐藏区域*/
jsTitle.GetCallRemark=function(strRemark){
    $("#hdieGetCallRemark").val(strRemark);
}

/*将号码设置到话机黑名单中*/
jsTitle.AddToBlackList=function(telNum,strRemark){
    PhoneHelper.AddTelbookRec(telNum,strRemark);
};

/*清空话机黑名单*/
jsTitle.ClearAllBlackList=function(){
    PhoneHelper.ClearTelBook();
};

/*判断是否需要录音*/
jsTitle.IsCanRecordOrNot=function(){
    var returnResult=true;
    var arrSql=new Array();
    arrSql.push("SELECT 0 as DType,'EnableAudio' as ParName,ParValue FROM T_TelParameterSet WHERE ParName='EnableAudio'");
    arrSql.push(" union ");
    arrSql.push("SELECT 1 as DType,'IsOutLine' as ParName,ParValue  FROM T_TelParameterSet WHERE ParName='IsOutLine'");
    arrSql.push(" union ");
    arrSql.push("SELECT 2 as DType,'CallType' as ParName,ParValue FROM T_TelParameterSet WHERE ParName='CallType'");
    arrSql.push(" union ");
    arrSql.push("SELECT 3 as DType,'DesignatedRecord' as ParName,ParValue FROM T_TelParameterSet WHERE ParName='DesignatedRecord'");
    arrSql.push(" union ");
    arrSql.push("SELECT 4 as DType,Condition as ParName,NumberValue as ParValue FROM T_RecordNumberSettings WHERE Condition='1'");
    arrSql.push(" union ");
    arrSql.push("SELECT 5 as DType,Condition as ParName,NumberValue as ParValue FROM T_RecordNumberSettings WHERE Condition='2'");
    arrSql.push(" union ");
    arrSql.push("SELECT 6 as DType,Condition as ParName,NumberValue as ParValue FROM T_RecordNumberSettings WHERE Condition='3'");
    
    var strSql=arrSql.join('');
    var dataString=DBReader.selectSqlForJson(strSql);

    if(dataString!="null"){
        var dataObj=eval("[{"+dataString+"}]");
        if(dataObj[0].result==1 && dataObj[0].table!=undefined){
            if(dataObj[0].table[0].ParValue.toString()=="true" || dataObj[0].table[0].ParValue.toString()=="1"){/*是否启用录音*/
                if(dataObj[0].table[3].DType==3){/*是否启用指定号码*/
                    if(dataObj[0].table[3].ParValue.toString()=="true" || dataObj[0].table[3].ParValue.toString()=="1"){      
                        var forResult=false;                  
                        for(var i=0;i<dataObj[0].table.length;i++){
                           switch(dataObj[0].table[i].DType.toString()){
                              case "4": {/*等于某号码*/
                                if(jsTitle.CurrentNumber==dataObj[0].table[i].ParValue.toString()){
                                    forResult=true;
                                }
                              }
                              break;
                             case "5":{/*含有某号码*/
                                if(jsTitle.CurrentNumber.indexOf(dataObj[0].table[i].ParValue.toString())!=-1){
                                    forResult=true;
                                }
                              }
                              break;
                            case "6":{/*开头为某号码*/
                                var parValue=dataObj[0].table[i].ParValue.toString();
                                 if(jsTitle.CurrentNumber.length>parValue.length){
                                    if(jsTitle.CurrentNumber.substring(0,parValue.length)==parValue){
                                        forResult=true;
                                    }
                                 }
                                 parValue=null;
                              }
                               break;
                               default:
                               break;
                           } /*end_switch*/
                        }/*end_for*/
                        if(forResult==true){
                            returnResult=true;
                        }
                        else{
                            returnResult=false;
                        }
                        forResult=null;
                    }/*end_if有指定号码*/
                }/*end_if(Dtype:3)*/   
               if(dataObj[0].table[1].DType==1){
                    if(dataObj[0].table[1].ParValue.toString()=="true" || dataObj[0].table[1].ParValue.toString()=="1"){/*外线才录音*/
                        if(jsTitle.PhoneType=="分机"){
                            returnResult=false;
                        } 
                    }
                 } /*end_if(Dtype:1)*/
                if(dataObj[0].table[2].DType==2){
                    if(dataObj[0].table[2].ParValue.toString()=="1"){/*只是来电才录音*/
                       if(jsTitle.CalType==2){
                            returnResult=false;
                       }                           
                    }
                    else if(dataObj[0].table[2].ParValue.toString()=="2" ){/*只是去电才录音*/
                        if(jsTitle.CalType==0 || jsTitle.CalType==1){
                            returnResult=false;
                        }
                    }
                }/*end_if(Dtype:2)*/     
            }else{
                returnResult=false;
            }
       }  /*end-if(dataObj[0].result)*/ 
       dataObj=null;
   }/*end_dataString!=null*/
   dataString=null;
   strSql=null;
    arrSql.length=0;
    arrSql=null;
   CollectGarbage();     
   return returnResult;
};